Skip to main content
Service and Application/Inference Service APIs
POSTInference Service APIsSince 5.1.8SynchronousAuth Required

BindModelToService

BindModelToService

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • modelUuidStringRequired

    The model UUID.

  • modelServiceUuidStringRequired

    The model service UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    The result of binding the model to the service.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryModelServiceInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • readmeStringRequired

      The README content.

    • yamlStringRequired

      The service YAML configuration.

    • requestCpuIntegerRequired

      The requested number of CPUs.

    • requestMemoryLongRequired

      The requested memory size.

    • modelCenterUuidStringRequired

      The model center UUID.

    • typeStringRequired

      The model service type.

    • frameworkStringRequired

      The model service framework.

    • sourceStringRequired

      The model service source.

    • sizeLongRequired

      The model service size.

    • systemBooleanRequired

      Whether the model service is a system model service.

    • hasNewVersionBooleanRequired

      Whether a new version is available.

    • gpuComputeCapabilityStringRequired

      The GPU compute capability requirement.

    • installPathStringRequired

      The model service installation path.

    • pythonVersionStringRequired

      The Python version.

    • condaVersionStringRequired

      The Conda version.

    • versionStringRequired

      The model service version.

    • startCommandStringRequired

      The startup command.

    • containerCommandStringRequired

      The container command.

    • containerArgsStringRequired

      The container arguments.

    • supportDistributedBooleanRequired

      Whether distributed deployment is supported.

    • cpuArchitecturesListRequired

      The supported CPU architectures.

    • vendorToSpecUuidsMapMapRequired

      The mapping between GPU vendors and specification UUIDs.

    • modelServiceRefsListRequired

      The bindings between models and the model service.

    • modelServiceImagesListRequired

      The model service image list.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

POST/zstack/v1/ai/models/{modelUuid}/model-services/{modelServiceUuid}

/zstack/v1/ai/models/{modelUuid}/model-services/{modelServiceUuid}

Operation ID

BindModelToService

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ai/models/{modelUuid}/model-services/{modelServiceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "text to text model service", "description": "This is text to text model service you can chose model", "yaml": "model service parameters", "requestCpu": 4, "requestMemory": 1024, "supportDistributed": false } }

Change History

This API has no change history records yet.

View all change history